### Method

# Json Node set_parent

since: 0.8

#### Declaration [src]

    void
    json_node_set_parent (
      JsonNode* node,
      JsonNode* parent
    )

#### Description [src]

Sets the parent node for the given `node`.

It is an error to call this with an immutable `parent`.

The `node` may be immutable.

Available since: 0.8

#### Parameters

`parent`

  Type: `JsonNode`

  The parent node.

  The argument can be `NULL`.
  The data is owned by the caller of the function.